Subject: Re: teTeX binaries
From: "Jochen Küpper" <[email-masked]>
To: [email-masked]
Date: 20 Mar 2001 15:23:13 -0500

>>>>> Kenta MURATA wrote on Wed, 21 Mar 2001 01:18:46 +0900:
Kenta> Hi all.

Kenta> At 20 Mar 2001 10:55:42 -0500,
Kenta> Jochen Küpper wrote:
>> > latex test
>> This is TeX, Version 3.14159 (Web2C 7.3.3)
>> I can't find the format file `latex.fmt'!
>> 
>> The problem seems to be the superfluous 'web2c' between drive-letter
>> and correct path in the search-paths.
>> 
>> Any ideas?

Kenta> You must update ls-R file by mktexlsr or texhash.  But if
Kenta> COMSPEC environment variable is available, mktexlsr can't
Kenta> update all entry.  Please try following:

Kenta> $ unset COMSPEC
Kenta> $ mktexlsr
Kenta> $ latex

Well, ls-R's are up-2-date and doing above instructions didn't help.

I also send my ls-R's, the texmf.cnf and kpathsearch debug output to
Kenta in pm. If anybody else is willing to look at it I would be happy
to send any files you are interested in:)

The most relevant output of kpathsea's debug-info is

,----
| kdebug:start search(file=latex.fmt, must_exist=0, find_all=0, path=.:c/web2c:/data/jochen/texmf/web2c:!!C/web2c:/Program Files/fpTeX/texmf-var/web2c:!!C/web2c:/Program Files/fpTeX/texmf-local/web2c:!!C/web2c:/Program Files/fpTeX/texmf/web2c).
| kdebug:path element c/web2c =>
| kdebug:path element /data/jochen/texmf/web2c =>
| kdebug:path element /Program Files/fpTeX/texmf-var/web2c =>
| kdebug:path element /Program Files/fpTeX/texmf-local/web2c =>
| kdebug:path element /Program Files/fpTeX/texmf/web2c =>
| kdebug:search(latex.fmt) =>
| kdebug:start search(file=latex.fmt, must_exist=1, find_all=0, path=.:c/web2c:/data/jochen/texmf/web2c:!!C/web2c:/Program Files/fpTeX/texmf-var/web2c:!!C/web2c:/Program Files/fpTeX/texmf-local/web2c:!!C/web2c:/Program Files/fpTeX/texmf/web2c).
| kdebug:search(latex.fmt) =>
| I can't find the format file `latex.fmt'!
`----

The file is "c:\Program Files\fpTeX\texm-local\webc\latex.fmt" with
the following Cygwin link:
  /usr/share/texmf-var -> /cygdrive/c/Program Files/fpTeX/texmf-var/

Greetings,
Jochen
-- 
University of North Carolina                          phone: 919-962-1579
Department of Chemistry                                 fax: 919-843-6041
Venable Hall CB#3290
Chapel Hill, NC 26599, USA

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple